From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/fec/
Date: Thu, 24 Feb 2022 09:37:26 +0000 (UTC) [thread overview]
Message-ID: <1645695444.6a9f097fd330dbeabd61d6072e159c77b2202e7d.fordfrog@gentoo> (raw)
commit: 6a9f097fd330dbeabd61d6072e159c77b2202e7d
Author: Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Mon Dec 27 15:14:47 2021 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Thu Feb 24 09:37:24 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a9f097f
dev-java/fec: EAPI 8, switch to log4j-12-api:2
Closes: https://bugs.gentoo.org/830919
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/24106/commits/49b7cffc2fa2d91fb9dc424c5c44ba0874600ecc
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
dev-java/fec/fec-1.0.4-r4.ebuild | 68 ++++++++++++++++++++++++++++++++++++++++
1 file changed, 68 insertions(+)
diff --git a/dev-java/fec/fec-1.0.4-r4.ebuild b/dev-java/fec/fec-1.0.4-r4.ebuild
new file mode 100644
index 000000000000..29f4fada481c
--- /dev/null
+++ b/dev-java/fec/fec-1.0.4-r4.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+JAVA_PKG_IUSE="doc source"
+
+inherit flag-o-matic toolchain-funcs java-pkg-2 java-ant-2
+
+DESCRIPTION="Forward Error Correction library in Java"
+HOMEPAGE="https://bitbucket.org/onionnetworks/"
+SRC_URI="https://dev.gentoo.org/~monsieurp/packages/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+CDEPEND="dev-java/log4j-12-api:2"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.8:*"
+
+DEPEND="
+ ${CDEPEND}
+ >=virtual/jdk-1.8:*"
+
+PATCHES=(
+ "${FILESDIR}"/"${P}-libfec8path.patch"
+ "${FILESDIR}"/"${P}-build.patch"
+ "${FILESDIR}"/"${P}-soname.patch"
+ "${FILESDIR}"/"${P}-remove-concurrent-util-imports.patch"
+)
+
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+JAVA_ANT_CLASSPATH_TAGS="javac javadoc"
+EANT_GENTOO_CLASSPATH="log4j-12-api-2"
+EANT_BUILD_TARGET="jars"
+
+# There seems to be unit tests, but they are in such a state.
+RESTRICT="test"
+
+src_prepare() {
+ # Apply patches.
+ default
+
+ # In fact, we'll wipe tests altogether.
+ rm -rf tests || die
+
+ # Get rid of bundled jars.
+ java-pkg_clean
+}
+
+src_compile() {
+ java-pkg-2_src_compile
+ einfo "Sucessfully compiled Java classes!"
+
+ cd "${S}"/src/csrc || die
+ append-flags -fPIC
+ emake CC=$(tc-getCC) CFLAGS="${CFLAGS} $(java-pkg_get-jni-cflags)"
+ einfo "Sucessfully compiled C files!"
+}
+
+src_install() {
+ java-pkg_newjar "lib/onion-${PN}.jar" "${PN}.jar"
+ use doc && java-pkg_dojavadoc javadoc
+ use source && java-pkg_dosrc src/com
+ dolib.so src/csrc/libfec{8,16}.so
+}
next reply other threads:[~2022-02-24 9:37 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-02-24 9:37 Miroslav Šulc [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-07 7:28 [gentoo-commits] repo/gentoo:master commit in: dev-java/fec/ Miroslav Šulc
2024-09-06 17:48 Sam James
2024-09-06 17:48 Sam James
2024-08-08 8:23 Miroslav Šulc
2023-04-28 6:26 Miroslav Šulc
2023-04-14 11:48 Florian Schmaus
2022-08-05 7:31 Arthur Zamarin
2022-06-22 7:05 Michał Górny
2022-06-02 6:14 Sam James
2022-03-29 6:06 Miroslav Šulc
2022-03-28 6:53 Agostino Sarubbo
2022-03-27 6:24 Agostino Sarubbo
2021-11-24 9:21 Miroslav Šulc
2021-11-24 9:08 Agostino Sarubbo
2021-11-23 9:12 Jakov Smolić
2015-11-01 19:12 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1645695444.6a9f097fd330dbeabd61d6072e159c77b2202e7d.fordfrog@gentoo \
--to=fordfrog@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox